Subject: Re: kernel panic during kernel module load (powerpc specific part)

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 05 Jun 2012 08:00:42 +1000

On Mon, 2012-06-04 at 13:03 +0200, Gabriel Paubert wrote:
> There is no conflict to the ABI. These functions are supposed to be
> directly reachable from whatever code
> section may need them.
> 
> Now I have a question: how did you get the need for this?
> 
> None of my kernels uses them:
> - if I compile with -O2, the compiler simply expands epilogue and
> prologue to series of lwz and stw
> - if I compile with -Os, the compiler generates lmw/stmw which give
> the smallest possible cache footprint
> 
> Neither did I find a single reference to these functions in several
> systems that I grepped for.

Newer gcc's ... even worse, with -Os, it does it for a single register
spill afaik. At least that's how I hit it with grub2 using whatever gcc
is in fc17.

Cheers,
Ben.